<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateMovimientos extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('movimientos')
			->addColumn('cuenta_id', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('fecha', 'date', ['null' => false])
			->addColumn('glosa', 'text', ['null' => false])
			->addColumn('documento', 'string', ['length' => 50, 'null' => false])
			->addColumn('cargo', 'bigint', ['length' => 20, 'default' => 0, 'null' => false, 'signed' => false])
			->addColumn('abono', 'bigint', ['length' => 20, 'default' => 0, 'null' => false, 'signed' => false])
			->addColumn('saldo', 'bigint', ['length' => 20, 'default' => 0, 'null' => false])
			->addForeignKey('cuenta_id', 'cuenta', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
